Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1194063 - [abrt] e2fsprogs: strlen(): dumpe2fs killed by SIGSEGV
Summary: [abrt] e2fsprogs: strlen(): dumpe2fs killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20b79d7e172c5e3acd740c5fee7...
: 1201554 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 22:13 UTC by Wolfgang Reh
Modified: 2015-03-13 14:40 UTC (History)
9 users (show)

Fixed In Version: e2fsprogs-1.42.12-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-04 10:22:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (8.12 KB, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: core_backtrace (1.25 KB, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: dso_list (850 bytes, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: environ (2.41 KB, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: exploitable (100 bytes, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: maps (4.07 KB, text/plain)
2015-02-18 22:13 UTC, Wolfgang Reh
no flags Details
File: open_fds (132 bytes, text/plain)
2015-02-18 22:14 UTC, Wolfgang Reh
no flags Details
File: proc_pid_status (908 bytes, text/plain)
2015-02-18 22:14 UTC, Wolfgang Reh
no flags Details
File: var_log_messages (179 bytes, text/plain)
2015-02-18 22:14 UTC, Wolfgang Reh
no flags Details

Description Wolfgang Reh 2015-02-18 22:13:47 UTC
Version-Release number of selected component:
e2fsprogs-1.42.12-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        dumpe2fs
crash_function: strlen
executable:     /usr/sbin/dumpe2fs
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 ext2fs_open2 at openfs.c:142
 #2 ext2fs_open at openfs.c:93

Comment 1 Wolfgang Reh 2015-02-18 22:13:50 UTC
Created attachment 993328 [details]
File: backtrace

Comment 2 Wolfgang Reh 2015-02-18 22:13:51 UTC
Created attachment 993329 [details]
File: cgroup

Comment 3 Wolfgang Reh 2015-02-18 22:13:53 UTC
Created attachment 993330 [details]
File: core_backtrace

Comment 4 Wolfgang Reh 2015-02-18 22:13:54 UTC
Created attachment 993331 [details]
File: dso_list

Comment 5 Wolfgang Reh 2015-02-18 22:13:55 UTC
Created attachment 993332 [details]
File: environ

Comment 6 Wolfgang Reh 2015-02-18 22:13:56 UTC
Created attachment 993333 [details]
File: exploitable

Comment 7 Wolfgang Reh 2015-02-18 22:13:58 UTC
Created attachment 993334 [details]
File: limits

Comment 8 Wolfgang Reh 2015-02-18 22:13:59 UTC
Created attachment 993335 [details]
File: maps

Comment 9 Wolfgang Reh 2015-02-18 22:14:00 UTC
Created attachment 993336 [details]
File: open_fds

Comment 10 Wolfgang Reh 2015-02-18 22:14:01 UTC
Created attachment 993337 [details]
File: proc_pid_status

Comment 11 Wolfgang Reh 2015-02-18 22:14:03 UTC
Created attachment 993338 [details]
File: var_log_messages

Comment 12 Eric Sandeen 2015-02-18 23:46:24 UTC
I assume you invoked dumpe2fs with no arguments?

[root e2fsprogs]# misc/dumpe2fs 
dumpe2fs 1.42.12 (29-Aug-2014)
Segmentation fault

:/

Comment 13 Eric Sandeen 2015-02-18 23:54:36 UTC
commit fecb231f6fc83cf4b4ddf7ec34ace3723803a499
Author: Darrick J. Wong <darrick.wong@oracle.com>
Date:   Fri Nov 7 21:26:14 2014 -0500

    dumpe2fs: don't crash when the user provides no block device argument
    
    If the user doesn't provide any arguments, the guard fails to run and
    the whole thing segfaults on ext2fs_open2().  Don't do that.
    
    Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
    Signed-off-by: Theodore Ts'o <tytso@mit.edu>

Comment 14 Eric Sandeen 2015-02-19 00:36:43 UTC
This commit from v1.42.12 regressed this behavior:

commit 20d6b381a1aacfdb553dcba95d96c5bf36ea7253
Author: Theodore Ts'o <tytso@mit.edu>
Date:   Sun Aug 24 22:31:03 2014 -0400

    dumpe2fs: complain if extra arguments are given on the command line
    
    Addresses-Debian-Bug: #758074
    
    Signed-off-by: Theodore Ts'o <tytso@mit.edu>

Comment 15 Wolfgang Reh 2015-02-19 18:28:23 UTC
I didn't call dumpe2fs directly at all. I don't know what call caused the crash, I was trying 'Disks' (the Gnome disk manager) and 'Partition Manager' (the KDE disk manager) when the error happened. I just at some point recognized abrt telling me an error occurred and I then sent the report.

Comment 16 Eric Sandeen 2015-02-19 20:24:23 UTC
Ok, weird.  

> cmdline:        dumpe2fs

I guess that was the whole backtrace.  I wonder which tool called it like that.

Comment 17 Wolfgang Reh 2015-02-19 20:32:21 UTC
It was all that abrt reported, I didn't remove anything.

Comment 18 Eric Sandeen 2015-02-19 20:55:29 UTC
yes, I understand, I just wonder why some other utility called it w/ no args.

anyway, I know the fix, it'll be in the (sigh) next update.

Thanks for the report.  :)

-Eric

Comment 19 Benjamin Kircher 2015-02-24 12:59:43 UTC
Maybe I can give a hint... I installed kde-partitionmanager right before (according to logs 30 seconds) that crash was noticed by abrt.

/var/log/yum.log:
<snip>
Feb 23 12:25:28 Installed: kde-partitionmanager-1.1.0-3.fc21.x86_64
</snip>

abrt-cli list
<snip>
reason:         dumpe2fs killed by SIGSEGV
time:           Mon 23 Feb 2015 12:25:57 PM CET
cmdline:        dumpe2fs
</snip>

So I might have started kde-partitionmanager right before dumpe2fs which could explain _who_ called it without arguments.

Anyway, shouldn't crash anyhow IMHO.

Comment 20 Fedora Update System 2015-02-24 17:55:47 UTC
e2fsprogs-1.42.12-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/e2fsprogs-1.42.12-3.fc21

Comment 21 Fedora Update System 2015-02-24 17:59:22 UTC
e2fsprogs-1.42.12-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/e2fsprogs-1.42.12-3.fc20

Comment 22 Fedora Update System 2015-02-25 13:27:41 UTC
Package e2fsprogs-1.42.12-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing e2fsprogs-1.42.12-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2511/e2fsprogs-1.42.12-3.fc21
then log in and leave karma (feedback).

Comment 23 Fedora Update System 2015-03-04 10:22:56 UTC
e2fsprogs-1.42.12-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-03-04 10:34:26 UTC
e2fsprogs-1.42.12-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Eric Sandeen 2015-03-13 14:40:50 UTC
*** Bug 1201554 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.